emscripten (2.0.8~dfsg1-5) unstable; urgency=medium

  * check tests in more chunks,
    to try mitigate log loss
    from "write could not complete without blocking" issues
  * fix negative check for wasm2c
    (not repeat check for succeeding tests)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Nov 2020 03:36:37 +0100

emscripten (2.0.8~dfsg1-4) experimental; urgency=medium

  * drop obsolete lintian overrides
  * extract metadata from (not skip) wav files
  * add patch 1006
    to have testsuite respect LLVM_ADD_VERSION for llvm-dwarfdump
  * tighten check of failing tests
  * build-depend on fonts-liberation
  * extend patch 1004 to cover closure-compiler
  * add patch 2010
    to detect and use non-default llvm-11 by default
  * add patch 2011
    to detect and use system shared binaryen

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Nov 2020 00:12:01 +0100

emscripten (2.0.8~dfsg1-3) experimental; urgency=medium

  * tighten build-time check to execute in fewer larger batches
  * fix build-depend on (not only suggest) scons
  * skip check of tests failing in mode other
  * check tests in modes wasm* now succeeding
  * explicitly state modes to check,
    and skip avoided modes also in experimental negative check
  * skip check tests needing node module wasm2c
  * support DEB_BUILD_OPTIONS=parallel,
    and always use a single core for experimental failure check

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2020 16:12:42 +0100

emscripten (2.0.8~dfsg1-2) experimental; urgency=medium

  * copyright:
    + fix drop duplicate Files section
    + fix drop obsolete Files sections
  * avoid strict mode causing multiple failures
  * avoid a test failing in mode wasm1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2020 03:58:47 +0100

emscripten (2.0.8~dfsg1-1) experimental; urgency=medium

  * repackage source tarball:
    + avoid convenience code copies:
      - python module ply (packaged separately)
      - Java Native Interface forked with added emjvm.js
        (seemingly unused)
  * drop obsolete lintian overrides
  * build-depend on and suggest python3-ply,
    and document its use in long description
  * update patches 1001 2003 for omitted source files
  * add patch 2009 to use system-shared closure-compiler
  * add patch 1005 to make build reproducible;
    closes: bug#973595, thanks to Chris Lamb
  * avoid checking tests requiring closure-compiler
  * copyright: tighten coverage of musl
  * adjust build routines for omitted source files

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Nov 2020 16:36:23 +0100

emscripten (2.0.8~dfsg-7~exp) experimental; urgency=medium

  * copyright: tighten coverage of llvm-project/compiler-rt libc++
  * check all important non-browser tests during build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Nov 2020 18:23:05 +0100

emscripten (2.0.8~dfsg-6) unstable; urgency=medium

  * set EM_CACHE during build and autopkgtest (not fake HOME)
  * check known failing tests only when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Oct 2020 20:21:39 +0100

emscripten (2.0.8~dfsg-5) unstable; urgency=medium

  * Revert to re-add patch 2006 and extend patch 2003
    (undefined symbol error was caused by unsupported CFLAGS)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Oct 2020 18:34:53 +0100

emscripten (2.0.8~dfsg-4) unstable; urgency=medium

  * drop patch 2006 and reduce patch 2003,
    to (hopefully) fix undefined symbol error
    using emscripten as non-root

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Oct 2020 01:18:03 +0100

emscripten (2.0.8~dfsg-3) unstable; urgency=medium

  * skip more failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 21:50:49 +0100

emscripten (2.0.8~dfsg-2) unstable; urgency=medium

  * skip more failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 20:17:47 +0100

emscripten (2.0.8~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update source-only part of upstream source-map script
  * unfuzz patches
  * tighten (build-)dependency on binaryen
  * copyright: tighten coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 18:15:49 +0100

emscripten (2.0.7~dfsg1-5) unstable; urgency=medium

  * fix re-enable patch 2006
    (needed at runtime with upstream wrappers removed),
    and add working directory to PATH during build
  * lintian:
    + override false positive
      on left-truncated wildcards files in copyright file
    + drop obsolete overrides
  * update patch 2001 with files completely missing shebang,
    and set/unset executable bits during build

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Oct 2020 09:13:27 +0200

emscripten (2.0.7~dfsg1-4) unstable; urgency=medium

  * copyright:
    + fix typo: restore accidentally deleted Files tag
    + drop unused License section
  * disable patch 2006 (breaks build-time testing)
  * use ccache during build-time tests when available

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Oct 2020 22:15:28 +0200

emscripten (2.0.7~dfsg1-3) unstable; urgency=medium

  * copyright:
    + fix list wildcard files before non-covered explicit files
    + fix list right-truncated wildcard files (e.g. embedded projects)
      before left-truncated (e.g. generated files)
  * fix autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Oct 2020 20:56:35 +0200

emscripten (2.0.7~dfsg1-2) unstable; urgency=medium

  * stop depend on (only suggest) cmake
  * add patch 2006
    to call emscripten scripts in PATH when called from emscripten
  * stop compile and ship cache (ignored when read-only)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Oct 2020 18:40:14 +0200

emscripten (2.0.7~dfsg1-1) unstable; urgency=medium

  * repackage source tarball:
    + avoid more source-less code
    + avoid only fonts and non-free image from website
      (not whole website source)
  * copyright:
    + fix typo: declare License-Grant
      (not bogus duplicate License)
    + tighten coverage of terser and uglify-js
  * tell dh_strip to ignore webassembly code
  * revert to not set FROZEN_CACHE
    closes: bug#972324, thanks to Giovanni Mascellani
  * fix revert to build arch-independent package
    (webassembly is binary but architecture-independent)
  * hardcode settings (don't provide as conffile),
    and adjust autopkgtest to fail if missing
  * use one shared wrapper for em* executables in PATH,
    and update patch 2003 to not ship upstream wrappers
  * suggest automake cmake make scons,
    and document their use in long description
  * override lintian for source-is-missing false positives
  * fix post-update command in README.source
  * add TODO on building upstream documentation website

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Oct 2020 16:45:22 +0200

emscripten (2.0.7~dfsg-3) unstable; urgency=medium

  * fix typo in changelog
  * fix avoid compiling code in architecture-independent build
  * fix install source-related docs only in main package
  * copyright:
    + fix drop superfluous overlapping Files sections
  * copyright:
    + fix update file paths
    + tighten coverage of poppler
    + tighten coverage of sdl
    + tighten coverage of openjpeg
    + tighten coverage of zlib
    + tighten coverage of musl
  * fix revert to install ports.
  * skip a test failing on armhf

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Oct 2020 22:24:28 +0200

emscripten (2.0.7~dfsg-2) unstable; urgency=medium

  * stop use closure-compiler:
    + stop build-depend on closure-compiler
    + reduce patch 2006 to not detect closure-compiler
    + add TODO note on Debian package being too old
  * use htmlmin:
    + reduce patch 2005 to not avoid html minification by default
    + add patch 2008 to call htmlmin instead of html-minifier-terser
    + build-depend on htmlmin
  * unfuzz patch 2007
  * add patch 1004 to silence warning with acorn 8
  * fix DEP-3 header of patch 1003
  * improve tests:
    + redirect initial command output to stdout;
      redo test with option -O3
    + use hello_world.c as source for simple tests
      (not hello_world.cc)
    + check upstream testsuite during build
  * fix update patch 2003
    to ship documentation files needed by runtime scripts,
    and add TODO on compiling upstream paper
  * update patch 2003 to avoid installing upstream tests,
    except hello_world.c used in tools
  * install system config file;
    reduce patch 2005 and drop patch 2006;
    explicitly set config during build
  * fix generate header file dom_pk_codes.h during build
  * compile non-port libraries and ship as system cache,
    and revert to build architecture-specific package
  * avoid installing ports
  * fix support nocheck in DEB_BUILD_OPTIONS

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Oct 2020 12:57:46 +0200

emscripten (2.0.7~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update source-only part of upstream source-map script
  * add patch 1003 to fix python3 syntax
  * suggest adb, and document its use in long description
  * fix cleanup test output, to not accidentally install it
  * fix autopkgtest
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Oct 2020 02:07:09 +0200

emscripten (2.0.5~dfsg2-1) unstable; urgency=medium

  * Repackage source tarball,
    also avoiding generated file system/include/neon/arm_neon.h
  * add patch 1002 to avoid obsolete GNU-specific find syntax;
    closes: bug#803028, thanks to Andreas Metzler
  * build-depend on and suggest wabt,
    and document its use in long description
  * rename patch 2006_binaryen_path to 2006_use_system-shared_tools,
    and rephrase for more general scope in DEP-3 header
  * use system-shared closure-compiler:
    + extend patch 2006 to detect closure-compiler
    + build-depend on and suggest closure-compiler
    + stop depend on libclosure-compiler-java
    closes: bug#775146, thanks to Riku Saikkonen
  * generate header file neon.h during build;
    build-depend on libsimde-dev
  * fix build-depend (not only depend) on node-acorn
  * fix stop depend on node-terser node-uglify
    (older embedded copies used for now)
  * fix avoid html minification by default,
    and add TODO on needing node-html-minifier package in Debian
  * use eslint:
    + add patch 2007 to call eslint instead of es-check
    + build-depend on eslint
  * check minimal functional test,
    both during build and as autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Oct 2020 21:42:55 +0200

emscripten (2.0.5~dfsg1-2) unstable; urgency=medium

  * rename patch pythonpath to 1001_python_path
  * rename patch unusual-interpreter-fix to 2001_explicit_shebang
  * extend patches 1001 2001 to cover third_party files,
    and add DEP-3 headers
  * fix extend patch 2003 to avoid third_party files
    which confuses lintian or breaks python3 packaging hook

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Oct 2020 11:58:21 +0200

emscripten (2.0.5~dfsg1-1) unstable; urgency=medium

  * fix revert to include third-party libraries
    when repackaging upstream source
    (needed anyway - only third-party _tests_ are optional)
  * copyright: add coverage of closure-compiler
  * use embedded node libraries for now,
    (system-shared libraries are too new):
    + stop build-depend on node-uglify
    + drop patch 2001
    + add TODO about pending work for acorn terser uglify
  * fix (build-)depend on cmake
  * fix build-depend on and recommend python3-numpy
  * fix build-depend on binaryen, and tighten dendency
  * fix use system tools:
    + build-depend on clang-11 lld-11 llvm-11 nodejs
    + update patch 2005
    + add patch 2006 to locate binaryen
  * adjust build rules
    to support versioned ~dfsg version suffix
  * update source script copyright-check:
    + isolate closure-compiler
    + fix isolate musl
    add TODO about pending parts

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Oct 2020 09:52:35 +0200

emscripten (2.0.5~dfsg-2) unstable; urgency=medium

  * fix ship wrappers properly resolving emscripten path
    (upstream wrappers cannot be simply symlinked)
  * tighten dependencies:
    + add patch 2005 to relax expected release of llvm
      (upstream expected v12.0 is not yet in Debian)
    + fix depend on clang-11 llvm-11 (not clang llvm)
    + fix depend on binaryen lld-11 node-acorn node-terser
    closes: bug#809997, thanks to Ralf Treinen
  * copyright:
    + fix add License sections for GPL-2 GPL-3+ LGPL-2
    + add more lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2020 20:00:27 +0200

emscripten (2.0.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright:
    + update repackaging hints for newer upstream source
    + tighten coverage for default licensed files
    + stop track gone websockify
    + fix typos
  * update source-only part of upstream source-map script
  * build with python3 (not python2);
    build-depend on dh-sequence-python3 python3
    (not dh-sequence-python2 python2)
  * drop obsolete patches;
    unfuzz and update remaining patches
  * fix upstream release versioning:
    + add patch 2002 to avoid git during build
    + work around outdated upstream version hint
  * symlink new executables embuilder emcmake emrun emsize
  * stop ship outdated manpages
  * tighten install:
    + add patch 2003
      to avoid upstream install script installing packaging files
    + fix install path
    + use dh_missing --fail-missing
  * use package section optional (not obsolete extra)
  * avoid privacy leaks in html code:
    + add patch 2004 to strip live-status links in documentation,
      and to use system shared D3
    + recommend libjs-d3

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Oct 2020 21:06:55 +0200

emscripten (1.22.1+dfsg-1) unstable; urgency=medium

  * add git-buildpackage config:
    + use pristine-tar
    + sign tags
    + filter any .git* files
    + use DEP-14 branch names
  * use debhelper compatibility level 12 (not 8);
    build-depend on debhelper-compat (not debhelper)
  * update watch file:
    + use file format 4
    + use substitution strings
    + rewrite usage comment
  * use system-shared uglify-js:
    + add patch 2001 to fix module loading
    + stop obsolete symlinking during build
  * modernize source tarball repackaging, with suffix ~dfsg
  * avoid more precompiled, duplicate or superfluous code
    when repackaging source tarball
  * simplify build:
    + use dh_link
    + use dh_install option --exclude
    + drop no longer needed hints
    + list static rule last
  * fix stop symlink executables with .py extension
  * build with python2 (not python);
    build-depend on dh-sequence-python2 python2
    (not python-all)
  * drop obsolete NEWS and README.source
  * copyright:
    + update Source and Upstream-Contact URLs
    + fix typo in Upstream-Name
    + use https protocol in file format URL
    + use wildcard in Files sections
    + normalize license shortnames
    + use License sections with License-Reference field;
      add corresponding lintian overrides (see bug#786450)
    + fix stop track gone files
    + normalize copyright years,
      and strip bogus copyright holders
    + merge related and identically licensed Files sections
    + tighten coverage of autotools, freetype, bullet, glui and freeglut
    + add coverage for debian directory
  * fix build as architecture-independent package
  * handle hybrid source and source-less script:
    + remove when repackaging upstream source tarball
    + document how to fetch source part
    + merge parts during build
    + build-depend on libjs-source-map
  * save source-only part of upstream source-map script
  * fix drop ancient obsolete lintian overrides
  * drop Debian-added source file unneeded since v1.38.11,
    and drop related lintian overrides
  * update paths in lintian overrides
  * friendly take-over:
    + Update fields Maintainer Uploaders Vcs-*
      to reflect maintenance in Javascript team
    thanks for your past contributions to Sylvestre Ledru
  * declare compliance with Debian Policy 4.5.0
  * set Rules-Requires-Root: no
  * add source script copyright-check
  * update patch unusual-interpreter-fix
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Oct 2020 13:45:40 +0200

emscripten (1.22.1-1) unstable; urgency=medium

  * New upstream release (Closes: #748923)
  * Upstream uses now tag. Use them instead of a repack script
  * Update the clang version dependency from clang-X.Y to clang now they
    are co instalable (Closes: #748840)
  * Disable fastcomp. We don't want to manage a fork of llvm in emscripten
    and not sure we want to add this patch in llvm itself (yet).
  * Add missing sources (Closes: #753956)
  * Use node-uglify package (Closes: #753883)
  * Fix vcs-field-not-canonical

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Jul 2014 13:06:38 +0200

emscripten (1.10.0~20140205~ef1e460-1) unstable; urgency=medium

  * New snapshot release
  * Also install cmake / emscripten files. Thanks to Daniele Di Proietto
    for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Feb 2014 18:46:19 +0100

emscripten (1.9.0~20140119~7dc8c2f-1) unstable; urgency=low

  * New snapshot release (Closes: #733714)
  * Provide sources for javascript and flash. Done in orig-tar.sh
    Available in third_party/websockify/include/web-socket-js/src/
    (Closes: #735903)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Jan 2014 14:12:40 +0100

emscripten (1.7.8~20131216~1a007b1-1) unstable; urgency=low

  * New snapshot release
  * demos/ is removed upstream. Doing the same in the package
  * remove some extra-license-file
  * Silent unusual-interpreter & python-script-but-no-python-dep
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Dec 2013 15:01:29 +0100

emscripten (1.5.6~20130920~6010666-1) unstable; urgency=low

  * New snapshot release
  * Update the list of supported architectures to the same as libv8
    (Closes: #723129)
  * emlibtool has been removed from upstream.
  * Fix warning syntax-error-in-dep5-copyright
  * Refresh of the patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Sep 2013 22:44:35 +0200

emscripten (1.4.9~20130620~0ad8724-1) unstable; urgency=low

  * New snapshot release
  * Depends against the "llvm" package. This package will provide llvm-dis
    needed by emscripten. Thanks to Sam Hocevar for finding the reason.
  * Fix the debhelper-but-no-misc-depends warning on emscripten-doc
  * Override warning "unusual-interpreter" with nodejs

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Jun 2013 17:14:15 +0200

emscripten (1.4.7~20130611~a1eb425-1) unstable; urgency=low

  * New snapshot release
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jun 2013 15:45:24 +0200

emscripten (1.4.7~20130606~98ba795-1) experimental; urgency=low

  * New upstream release
  * Update the dependencies (clang 3.2, 3.3 & 3.4)
  * Also install emscons
  * Remove the empty README.Debian
  * Fix some warnings "extra-license-file"
  * Fix the warning manpage-has-useless-whatis-entry for emcc and em++
  * Remove some lintian overrides (I fixed them upstream)
  * Silent the warnings "package-contains-devhelp-file-without-symlink"
  * Fix some warning "unusual-interpreter" by using directly /usr/bin/nodejs
  * Generate the manpages on the fly thanks to help2man

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Jun 2013 10:59:42 +0200

emscripten (1.4.1~20130504~adb56cb-1) unstable; urgency=low

  * Initial release (Closes: #704906)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 May 2013 13:11:51 +0200
